package page;

import conf.BasicClass;
import io.restassured.response.Response;

import java.util.HashMap;

public class HomePage extends BasicClass {
    private Integer userId;

    public Integer getUserId() {
        if (userId==null){
            userId=getResponseFromYaml("/api/page/homePage/apiPcpGetLoginInfo.yaml").path("data.id");
            return userId;
        }else {
            return userId;
        }
    }

    //查询政策专题
    public Response getPolicyTopic(){
        return getResponseFromYaml("/api/page/homePage/pcpIndexGetPolicyTopic.yaml");
    }

    //查询专题关联的项目
    public Response policyTopicList(HashMap<String,Object> body){
        return getResponseFromYaml("/api/page/homePage/pcpIndexGetPolicyTopicPolicyTopicList.yaml",body);
    }

    //查询热门政策
    public Response getIndexData(HashMap<String,Object> body){
        return getResponseFromYaml("/api/page/homePage/pcpAppletGetIndexData.yaml",body);
    }
}
