package page;

import conf.BasicClass;
import io.restassured.response.Response;

import java.util.HashMap;

public class PushPage extends BasicClass {
    public Integer userPushSetId=0;

    //筛选适配项目
    public Response searchProjectPush(HashMap<String,Object> map){
        return getResponseFromYaml("/api/page/pushPage/pcpintelligentPushgetGslFocusFormal.yaml",map);
    }

    //立即匹配项目
    public Response matchProject(HashMap<String,Object> map){
        return getResponseFromYaml("/api/page/pushPage/pcpNewPersonalCenterUpdateIntelligentPush.yaml",map);
    }

    //获取匹配次数
    public Response getMatchProjectNum(HashMap<String,Object> map){
        return getResponseFromYaml("/api/page/pushPage/pcpNewPersonalCenterGetIntelligentPushNum.yaml",map);
    }

    //获取推送设置二维码
    public Response getQRCode(){
        return getResponseFromYaml("/api/page/pushPage/pcpOfficialAccountsGetQRCode.yaml");
    }

    //获取推送设置信息
    public Response getBackSysUserPushSet(Integer userid){
        HashMap<String,Object> body=new HashMap<>();
        body.put("_file","/apijson/page/pushPage/pcpIntelligentPushGetBackSysUserPushSet.json");
        body.put("userId",userid);
        return getResponseFromYaml("/api/page/pushPage/pcpIntelligentPushGetBackSysUserPushSet.yaml",body);
    }

    //修改用户推送设置信息
    public Response updateBackSysUserPushSet(HashMap<String,Object> map){
        return getResponseFromYaml("/api/page/pushPage/pcpIntelligentPushUpdateBackSysUserPushSet.yaml",map);
    }

    //获取推送记录id
    public Integer getBackSysUserPushSetId(Integer userid){
        if(userPushSetId==0){
            userPushSetId=getBackSysUserPushSet(userid).path("data.id");
            return userPushSetId;
        }else {
            return userPushSetId;
        }
    }

    //修改关注设置
    public Response focusPolicySet(HashMap<String,Object> map){
        return getResponseFromYaml("/api/page/pushPage/pcpIntelligentPushFocusPolicySet.yaml",map);
    }

    //查询关注设置信息
    public Response getFocusPolicySetInfo(HashMap<String,Object> map){
        return getResponseFromYaml("/api/page/pushPage/pcpIntelligentPushGetFocusPolicySetting.yaml",map);
    }

    //查询关注政策
    public Response getGsIFocusPolicy(HashMap<String,Object> map){
        return getResponseFromYaml("/api/page/pushPage/pcpIntelligentPushGetGslFocusPolicy.yaml",map);
    }

    //查询我的订阅
    public Response mySubscribe(HashMap<String,Object> map){
        return getResponseFromYaml("/api/page/pushPage/pcpIntelligentPushMySubscribe.yaml",map);
    }
}
